import java.util.*;

import gov.nih.nlm.nls.lvg.Lib.*;
import gov.nih.nlm.nls.lvg.Flows.*;
import gov.nih.nlm.nls.lvg.Api.*;

public class Inflections
{
	// test driver
	public static void main(String[] args)
	{
		// instantiate a LvgApi object by config file
		String lvgConfigFile
			= "/export/home/lu/Projects/LVG/lvg2012/data/config/lvg.properties";
		LvgApi lvgApi = new LvgApi(lvgConfigFile);

		// Process the inflectional variants mutation
		LexItem in = new LexItem("Take");	// use lexItem as input to lvgApi
		Vector<LexItem> outs = ToInflection.Mutate(in, lvgApi.GetConnection(), 
			lvgApi.GetInflectionTrie(), OutputFilter.LVG_OR_ALL, false, true);

		// PrintOut the Result
		for(LexItem out: outs)
		{
			System.out.println(out.ToString());
		}

		// clean up
		lvgApi.CleanUp();
	}
}
